Subject: Re: bug#47023: df utilility displays G instead of GM as unit size for Gigabytes in power of 1000

From: L A Walsh <[email-masked]>
Date: Wed, 10 Mar 2021 20:13:05 -0800

On 2021/03/10 15:21, Paul Eggert wrote:
> Although his email did reencode those names into ISO 8859-1 which is 
> more likely to cause problems than cure them these days, it still 
> displays well on my MUA (Thunderbird) because its header said 
> "Content-Type: text/plain; charset=iso-8859-1". His email is also 
> displaying properly in the archive 
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47023#16>, as the 
> archiving software reencodes those names back into UTF-8 and the web 
> page uses "Content-Type: text/html; charset=utf-8" for all the emails.
> 
> Possibly your email client is programmed to ignore encodings in incoming 
> "Content-Type" lines; that would explain the glitches you saw.
----
	I also have Tbird, and for content I can adapt it but usually
have it set to ignore non-UTF-8 these days, as occasionally, 
someone has an old mailer that sends out 8-bit encoding and Tbird would
seamlessly adapt and send the email back out in the same format.  

	I didn't want to pass on bad encodings when I replied to such
items to a list, so I changed that default.

	However, what Tbird doesn't handle well is local encodings
used in the 'To' or subject lines since there is no encoding line
for those.  In a text archive it can convert and display both in 
UTF-8 format, but even if I set Tbird to respond in the same encoding,
it won't fix the encodings in the header as the content-type: text/plain
doesn't apply to the headers.

	So while archives and the email text can be fixed, the text in
the headers often can't.  The only thing to do is bring it to their attention
and hope they have the technical skills to set their mailer to use
UTF-8.